Skip to main content
GET
/
robots
/
{robotId}
/
actionDefinitions
Returns the list of all actions defined for a robot
curl --request GET \
  --url https://api.inorbit.ai/robots/{robotId}/actionDefinitions \
  --header 'x-auth-inorbit-app-key: <api-key>'
[
  {
    "actionId": "<string>",
    "label": "<string>",
    "parameters": [
      {
        "name": "<string>",
        "type": "<string>",
        "default": "<unknown>"
      }
    ],
    "requiresLock": true
  }
]

Documentation Index

Fetch the complete documentation index at: https://inorbitinc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

robotId
string
required

The robot's id

Response

200 - application/json

The list of actions definitions

actionId
string

ID of the action definition

type
enum<string>

Type of action

Available options:
PublishToTopic,
RunScript
label
string

Action descriptive label

parameters
object[]

List of expected parameters and their types

requiresLock
boolean

True if the robot must be locked by the caller before triggering this action